import {
  EXTERNAL_PROVIDER
} from "./chunk-4B3IMP4I.js";

// src/organizationSlice/selectors.ts
import { createSelector } from "@reduxjs/toolkit";
var getOrganization = (state) => state.organization.organization;
var getExternalIntegrations = (state) => state.organization.externalDeviceIntegrations;
var getAuditlogState = (state) => state.organization.auditlog.selectionState;
var getAuditLog = (state) => state.organization.auditlog.events;
var getAuditLogSelectionState = (state) => state.organization.auditlog.selectionState;
var getSsoConfig = ({ organization: { ssoConfigs = [] } }) => ssoConfigs[0];
var getTenantsList = (state) => state.organization.tenantList;
var getWebhookEvents = (state) => state.organization.webhooks.events;
var getWebhookEventTotal = (state) => state.organization.webhooks.eventTotal;
var getDeviceTwinIntegrations = createSelector(
  [getExternalIntegrations],
  (integrations) => integrations.filter((integration) => integration.id && EXTERNAL_PROVIDER[integration.provider]?.deviceTwin)
);
var getIsServiceProvider = (state) => state.organization.organization.service_provider;
var getWebhooks = createSelector(
  [getExternalIntegrations],
  (integrations) => integrations.filter((integration) => integration.id && integration.provider === EXTERNAL_PROVIDER.webhook.provider)
);
var getWebhookEventInfo = createSelector(
  [getWebhooks, getWebhookEvents, getWebhookEventTotal],
  (webhooks, events, eventTotal) => webhooks.length ? { events, eventTotal } : { events: [], eventTotal: 0 }
);
var getAuditLogEntry = createSelector([getAuditLog, getAuditLogSelectionState], (events, { selectedId }) => {
  if (!selectedId) {
    return;
  }
  const [eventAction, eventTime] = atob(selectedId).split("|");
  return events.find((item) => item.action === eventAction && item.time === eventTime);
});

export {
  getOrganization,
  getExternalIntegrations,
  getAuditlogState,
  getAuditLog,
  getAuditLogSelectionState,
  getSsoConfig,
  getTenantsList,
  getWebhookEvents,
  getWebhookEventTotal,
  getDeviceTwinIntegrations,
  getIsServiceProvider,
  getWebhooks,
  getWebhookEventInfo,
  getAuditLogEntry
};
//# sourceMappingURL=chunk-Q6M5TTDQ.js.map